JMSManagementHelper (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.jms.management

## Class JMSManagementHelper

- java.lang.Object
- - org.apache.activemq.artemis.api.jms.management.JMSManagementHelper

-     public class JMSManagementHelper
      extends Object

  Helper class to use JMS messages to manage ActiveMQ Artemis server resources.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `getResult(javax.jms.Message message)` Returns the result of an operation invocation or an attribute value.
    `static Object[]` | `getResults(javax.jms.Message message)` Returns the result of an operation invocation or an attribute value.
    `static boolean` | `hasOperationSucceeded(javax.jms.Message message)` Returns whether the invocation of the management operation on the server resource succeeded.
    `static boolean` | `isAttributesResult(javax.jms.Message message)` Returns whether the JMS message corresponds to the result of a management attribute value.
    `static boolean` | `isOperationResult(javax.jms.Message message)` Returns whether the JMS message corresponds to the result of a management operation invocation.
    `static void` | `putAttribute(javax.jms.Message message, String resourceName, String attribute)` Stores a resource attribute in a JMS message to retrieve the value from the server resource.
    `static void` | `putOperationInvocation(javax.jms.Message message, String resourceName, String operationName)` Stores an operation invocation in a JMS message to invoke the corresponding operation the value from the server resource.
    `static void` | `putOperationInvocation(javax.jms.Message message, String resourceName, String operationName, Object... parameters)` Stores an operation invocation in a JMS message to invoke the corresponding operation the value from the server resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### putAttribute

          public static void putAttribute(javax.jms.Message message,
                                          String resourceName,
                                          String attribute)
                                   throws javax.jms.JMSException

      Stores a resource attribute in a JMS message to retrieve the value from the server resource.
      Parameters:
        `message` - JMS message
        `resourceName` - the name of the resource
        `attribute` - the name of the attribute
      Throws:
        `javax.jms.JMSException` - if an exception occurs while putting the information in the message
      See Also:
        `ResourceNames`

    - #### putOperationInvocation

          public static void putOperationInvocation(javax.jms.Message message,
                                                    String resourceName,
                                                    String operationName)
                                             throws javax.jms.JMSException

      Stores an operation invocation in a JMS message to invoke the corresponding operation the value from the server resource.
      Parameters:
        `message` - JMS message
        `resourceName` - the name of the resource
        `operationName` - the name of the operation to invoke on the resource
      Throws:
        `javax.jms.JMSException` - if an exception occurs while putting the information in the message
      See Also:
        `ResourceNames`

    - #### putOperationInvocation

          public static void putOperationInvocation(javax.jms.Message message,
                                                    String resourceName,
                                                    String operationName,
                                                    Object... parameters)
                                             throws javax.jms.JMSException

      Stores an operation invocation in a JMS message to invoke the corresponding operation the value from the server resource.
      Parameters:
        `message` - JMS message
        `resourceName` - the name of the server resource
        `operationName` - the name of the operation to invoke on the server resource
        `parameters` - the parameters to use to invoke the server resource
      Throws:
        `javax.jms.JMSException` - if an exception occurs while putting the information in the message
      See Also:
        `ResourceNames`

    - #### isOperationResult

          public static boolean isOperationResult(javax.jms.Message message)
                                           throws javax.jms.JMSException

      Returns whether the JMS message corresponds to the result of a management operation invocation.
      Throws:
        `javax.jms.JMSException`

    - #### isAttributesResult

          public static boolean isAttributesResult(javax.jms.Message message)
                                            throws javax.jms.JMSException

      Returns whether the JMS message corresponds to the result of a management attribute value.
      Throws:
        `javax.jms.JMSException`

    - #### hasOperationSucceeded

          public static boolean hasOperationSucceeded(javax.jms.Message message)
                                               throws javax.jms.JMSException

      Returns whether the invocation of the management operation on the server resource succeeded.
      Throws:
        `javax.jms.JMSException`

    - #### getResults

          public static Object[] getResults(javax.jms.Message message)
                                     throws Exception

      Returns the result of an operation invocation or an attribute value.
      If an error occurred on the server, `hasOperationSucceeded(Message)` will return `false`. and the result will be a String corresponding to the server exception.
      Throws:
        `Exception`

    - #### getResult

          public static Object getResult(javax.jms.Message message)
                                  throws Exception

      Returns the result of an operation invocation or an attribute value.
      If an error occurred on the server, `hasOperationSucceeded(Message)` will return `false`. and the result will be a String corresponding to the server exception.
      Throws:
        `Exception`

Copyright © 2015. All rights reserved.